/*------------------------
	General
--------------------------*/

/* TT COMMONS PRO FONT */
@import url("https://use.typekit.net/xvn5ozw.css");

/* REFLEX PRO  VARIABLE */
@import url("https://use.typekit.net/xvn5ozw.css");

/* SPAN FONT */
@import url("https://use.typekit.net/xvn5ozw.css");


html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed, 
figure, figcaption, footer, header, hgroup, 
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}

:root {
    --header-height: 3.5rem;
    --primary-color: #fd053c;
    --secondary-color: #01ffc8;
    --bg-color: #131626;
    --black-color: #121212;
    --black-grad:rgba(19, 22, 38, 0.8);
    --white-color: #ededed;
    --grey-color: #666666;
    --lightblue-color: #242a48;
    --primary-font: "tt-commons-pro";
    --secondary-font: ;
    --font-size-h1: 4.5rem;
    --font-size-h2: 2.4rem;
    --font-size-h3: 1.5rem;
    --font-size-h4: 1rem;
    --font-size-h5: 4rem;
    --font-size-p: 1rem;
    --font-weight-thin: 100;
    --font-weight-regular: 500;
    --font-weight-bold: 800;
    --border-radius-general: 0.375rem;

    @media (min-width:1500px) {
        --font-size-h1: 5.9rem;
        --font-size-h2: 3.2rem;
        --font-size-h3: 2rem;
        --font-size-h4: 3.3rem;
        --font-size-h5: 2.2rem;
        --font-size-p: 1.05rem;
    }

    @media (max-width:1200px){
        --font-size-h1: 2.9rem;
        --font-size-h2: 2.4rem;
        --font-size-h3: 1.5rem;
        --font-size-h4: 1.3rem;
        --font-size-h5: 1.2rem;
        --font-size-p: 1rem;
    }

    @media (max-width:992px){
        --font-size-h1: 2.8rem;
        --font-size-h2: 2.4rem;
        --font-size-h3: 1.3rem;
        --font-size-h4: 1.1rem;
        --font-size-h5: 1rem;
        --font-size-p: 0.9rem;
    }

    @media (max-width:576px){
        --font-size-h1: 2.4rem;
        --font-size-h2: 1.7rem;
        --font-size-h3: 1.2rem;
        --font-size-h4: 1rem;
        --font-size-h5: 0.9rem;
        --font-size-p: 0.9rem;
    }

/*------------------------
	Base
--------------------------*/
*{
	box-sizing: border-box;
	padding: 0;
	margin: 0;
}

ul{
	list-style: none;

}

a{
    font-family: var(--primary-font);
    font-size: var(--font-size-p);
	text-decoration: none;
}
    --z-tooltip: 10;
    --z-fixed: 100;
}

h1{
    font-size: var(--font-size-h1) !important;
    font-family: var(--primary-font) !important;
    color: var(--white-color) !important;
    font-weight: var(--font-weight-bold) !important;
}

h2{
    font-size: var(--font-size-h2) !important;
    font-family: var(--primary-font) !important;
    font-weight: var(--font-weight-bold) !important; 
}

h3{
    font-size: var(--font-size-h3) !important;
    font-family: var(--primary-font) !important;
    color: var(--white-color) !important;
    font-weight: var(--font-weight-thin) !important;
}

/* h4{
    font-size: var(--font-size-h4) !important;
    font-family: var(--primary-font) !important;
    color: var(--white-color) !important;
    font-weight: var(--font-weight-thin) !important;
}

h5{
    font-size: var(--font-size-h5) !important;
    font-family: var(--primary-font);
    color: var(--white-color) !important;
    font-weight: var(--font-weight-thin) !important;
} */

p{
    font-size: var(--font-size-p) !important;
    font-family: var(--primary-font) !important;
    font-weight: var(--font-weight-thin);
    line-height: 1.8rem;
}

/* RESPONSIVE BIG SCREENS */

@media (min-width:1500px) {
    p {
        line-height: 2.3rem;
    }

    .cont-img-services {
        justify-content: flex-end !important;
    }

    .inverted .cont-img-services {
        justify-content: flex-start !important;
    }
}

@media (min-width:1390px) {
    .cont-img-services {
        justify-content: flex-end !important;
    }

    .inverted .cont-img-services {
        justify-content: flex-start !important;
    }

    .portfolio-card {
        backdrop-filter: blur(14.8px) !important;
    }

    .nav__link {
        font-size: var(--font-size-p);
    }
}

body {
    background-color: var(--bg-color) !important;
}

section {
    margin: 0px 100px ;
}

html {
    scroll-behavior: smooth;
}

/*------------------------
	BUTTONS
--------------------------*/

.btn-glow {
    display: inline-flex;
    align-items: center;
    margin: 20px 0px;
    padding: 5px 50px;
    border-radius: 25px;
    cursor: pointer;
    transition: 0.5s;
    color: var(--white-color);
    background-color: transparent;
}

.btn-glow-blue {
    border: 1px solid var(--secondary-color);
    transition: 0.5s;
    box-shadow: 0 0 20px 0 rgba(1, 255, 200, 0.521);
    animation: pulseblue 1.5s infinite alternate ease-in-out;
}

.btn-glow-red {
    border: 1px solid var(--primary-color);
    transition: 0.5s;
    box-shadow: 0 0 20px 0px rgba(253, 5, 59, 0.9); 
    animation: pulsered 1.5s infinite alternate ease-in-out;
}

.circle {
    width: 10px;
    height: 10px;
    border-radius: 50%;
    margin-right: 10px;
}

.circle-blue {
    background: var(--secondary-color);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    animation: pulse 1.5s infinite alternate ease-in-out;
}

.circle-red {
    background: var(--primary-color);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    animation: pulse 1.5s infinite alternate ease-in-out;
}

/*------------------------
	SCROLL ANIMATION
--------------------------*/

/* @keyframes show {
    from {
        opacity: 0;
        scale: 50%;
    }
    to {
        opacity: 1;
        scale: 100%;
    }
}

section {
    view-timeline-name: --scrolling;
    view-timeline-axis: block;

    animation-timeline: --scrolling;
    animation-name: show;
    animation-range: entry 25% cover 30%;
    animation-fill-mode: both;
} */

/*------------------------
	PULSE ANIMATION
--------------------------*/

/* PULSE ANIMATION SCALE */

@keyframes pulse {
    0% {
    transform: scale(1);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    }
    100% {
    transform: scale(1.3);
    box-shadow: 0 0 400px rgba(0, 0, 0, 0.2);
    }
}

/* PULSE ANIMATION BLUE */

@keyframes pulseblue {
    0% {
    box-shadow: 0 0 10px 0 rgba(1, 255, 200, 0.521);
    }
    100% {
    box-shadow: 0 0 100px 0 rgba(1, 255, 200, 0.521);
    }
}

/* PULSE ANIMATION RED */

@keyframes pulsered {
    0% {
        box-shadow: 0 0 10px 0 rgba(253, 5, 59, 0.9);
    }
    100% {
        box-shadow: 0 0 50px 0 rgba(253, 5, 59, 1); /* Glow más intenso y extendido */
    }
}

/* PULSE ANIMATION BIG */

@keyframes pulsebig {
    0% {
        scale: 1;
    }
    100% {
        scale: 1.2;
    }
}

/*------------------------
    HEADER SECTION
--------------------------*/
.header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    background-color: var(--black-grad);
    z-index: 970;
    font-family: var(--primary-font);
}

/*------------------------
    NAV
--------------------------*/
.nav {
    padding: 20px 100px;
}

.nav__data {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav__logo {
    display: inline-flex;
    align-items: center;
    height: 60px;
    column-gap: .25rem;
}

.nav__toggle {
    position: relative;
    width: 20px;
    height: 32px;
}

.nav__burger,
.nav__close {
    position: absolute;
    inset: 0;
    margin: auto;
    font-size: 1.25rem;
    cursor: pointer;
    transition: opacity .1s, transform .4s;
    color: var(--white-color);
}

.nav__close {
    opacity: 0;
}

.nav__link {
    display: flex;
    justify-content: space-between;
    align-items: center;
    color: var(--white-color);
    font-weight: var(--font-weight-thin);
    transition: background-color .3s;
}

#underline {
    position: relative;
    text-decoration: none;
    color: var(--white-color);
}

#underline::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    bottom: 7px;
    left: 0;
    background-color: var(--primary-color);
    transition: all 0.3s ease-in-out;
}

#underline:hover::after {
    width: 100%;
}

#wpp.nav__link {
    color: var(--primary-color);
    font-size: 40px;
    animation: pulsebig 1.5s infinite alternate ease-in-out;
}

.show-menu {
    opacity: 1;
    top: 3.5rem;
    pointer-events: initial;
}

.show-icon .nav__burger {
    opacity: 0;
    transform: rotate(90deg);
}

.show-icon .nav__close {
    opacity: 1;
    transform: rotate(90deg);
}

/*------------------------
    DROPDOWN
--------------------------*/
.dropdown__item {
    cursor: pointer;
}

.dropdown__arrow {
    font-size: 1.25rem;
    transition: transform .4s;
}

.dropdown__link,
.dropdown__sublink {
    padding: .8rem 1.3rem;
    border-top: 1px solid var(--grey-color);
    color: var(--secondary-color);
    display: flex;
    align-items: center;
    column-gap: .5rem;
    font-weight: var(--font-weight-thin);
    transition: background-color .3s;
}

.dropdown__link i,
.dropdown__sublink i {
    font-size: var(--font-size-h4);
}

.dropdown__link:hover,
.dropdown__sublink:hover {
    background-color: var(--primary-color);
}

.dropdown__menu,
.dropdown__submenu {
    max-height: 0;
    overflow: hidden;
    transition: max-height .4s ease-out;
}

.dropdown__sublink {
    background-color: var(--black-grad);
}

.dropdown__add {
    margin-left: auto;
}

/*------------------------
    MEDIA QUERIES
--------------------------*/

/* Navigation for mobile devices */
@media screen and (max-width: 1200px) {
    html, body {
        overflow-x: hidden;
    }

    .nav__menu {
        position: absolute;
        left: 0;
        top: -100%;
        width: 100%;
        overflow: auto;
        opacity: 0;
        pointer-events: none;
        transition: top .4s, opacity .3s;
    }

    .show-menu {
        top: 5.9rem;
        opacity: 1;
        pointer-events: auto;
    }

    .nav__logo {
        height: 50px;
        margin-left: 10px;
    }

    .nav__data {
        width: 100%;
    }

    #underline::after {
        bottom: 10px;
    }

    .nav__link {
        padding: 20px 100px;
    }

    .nav__menu::-webkit-scrollbar {
        width: 0;
    }

    .nav__list {
        background-color: var(--black-grad);
    }

    .dropdown__link,
    .dropdown__sublink {
        padding: 10px 260px;
    }

    #wpp.nav__link {
        animation: none;
        color: var(--secondary-color);
        font-weight: var(--font-weight-regular);
    }

    .dropdown__menu {
        display: flex;
        flex-direction: column;
        transition: max-height .4s ease-out;
    }

    .dropdown__menu {
        display: block; /* Asegura que el menú sea visible */
        max-height: 0; /* Inicia oculto */
        overflow: hidden; /* Evita que el contenido desborde */
        transition: max-height 0.4s ease-out;
    }

    .dropdown__item.open .dropdown__menu {
        max-height: 500px; /* Ajusta según la cantidad de contenido */
    }
}

/* For small devices */
@media screen and (max-width: 630px) {
    .nav {
        padding: 20px 0;
    }

    .nav__data {
        flex-direction: column;
        z-index: 999;
    }

    .nav__logo {
        margin: 0;
    }

    .show-menu {
        z-index: 995;
    }

    .nav__list {
        flex-direction: column;
        margin: 0;
    }

    .nav__link {
        flex-direction: column;
    }

    .dropdown__menu {
        display: flex;
        align-items: center;
        text-align: center;
    }

    .nav__link .dropdown__arrow {
        display: none;
    }

    .dropdown__item:hover .dropdown__arrow {
        transform: none;
    }

    .show-menu {
        top: 7.9rem;
    }
}

/* For large devices */
@media screen and (min-width: 1200px) {
    .container {
        margin-inline: auto;
    }

    .nav {
        height: calc(var(--header-height) + 2rem);
        display: flex;
        justify-content: space-between;
    }

    .nav__toggle {
        display: none;
    }

    .nav__list {
        display: flex;
        column-gap: 3rem;
        height: 100%;
    }

    .nav__link {
        padding: 0;
        justify-content: initial;
        column-gap: .25rem;
        height: 100%;
    }

    .nav__link:hover {
        background-color: transparent;
    }

    .dropdown__item,
    .dropdown__subitem {
        position: relative;
    }

    .dropdown__menu,
    .dropdown__submenu {
        position: absolute;
        left: 0;
        top: 6rem;
        opacity: 0;
        pointer-events: none;
        transition: opacity .3s, top .3s, max-height .4s ease;
    }

    .dropdown__item.open .dropdown__menu {
        opacity: 1;
        top: 4rem;
        pointer-events: auto;
        max-height: 1000px;
    }
}

/*------------------------
	HERO SECTION
--------------------------*/

#hero {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
    width: 100%;
    height: 80vh;
    margin-top: 40px;
    color: var(--white-color) !important;
}

#hero #hero-title #typed {
    font-family: var(--primary-font);
    font-size: var(--font-size-h1);
    font-weight: var(--font-weight-bold);
    color: var(--white-color);
    font-style: italic;
}

.typed-cursor {
    font-size: var(--font-size-h1);

}

#hero #hero-title #typed .highlight {
    color: var(--primary-color);
}

#hero-txt {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 20px;
}

#hero-txt h3 {
    letter-spacing: 8px;
}

#hero-txt #hero-tick {
    display: flex;
    justify-content: center;
    gap: 20px;
    margin: 30px 0px;
}

#hero-txt .tick-box {
    display: flex;
    flex-direction: row;
    gap: 14px
}

#hero-txt #hero-tick i {
    font-size: 25px;
    margin-top: 2px;
    color: var(--primary-color);
}

.container_circle {
    display: flex;
    align-items: center;
    justify-content: center;
}

.container_circle p {
    letter-spacing: 2px;
    white-space: nowrap;
    overflow: hidden; 
    text-overflow: ellipsis; 
}

/* RESPONSIVE HERO */

@media screen and (max-width: 630px) {
    #hero {
        margin-top: 80px;
    }

    #hero #hero-title #typed {
        font-size: var(--font-size-h2);
        letter-spacing: 2px;
    }

    #hero-txt h3 {
        letter-spacing: 4px;
        font-size: var(--font-size-p) !important;
    }

    #hero-txt #hero-tick {
        justify-content: space-between;
        margin: 30px 50px;
    }

    #hero-txt .tick-box {
        flex-direction: column;
        gap: 10px;
    }

    #hero-txt .tick-box p {
        line-height: 20px;
    }
}

@media screen and (max-width: 365px) {
    #hero-txt #hero-tick {
        margin: 0px 5px;
        margin-top: 20px;
    }
}



/*------------------------
	LOGOS SECTION
--------------------------*/

.wrapper {
    display: flex;
    width: 65%;
    margin: 0 auto;
    overflow: hidden;
    border-radius: 180px;
    padding: 2.5rem;
    background: transparent;
    margin-bottom: 130px;
    /* box-shadow: rgba(1, 255, 200, 0.726) 0px 5px 15px; */

}

.item {
    animation: animate 50s linear infinite;
    height: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    
}

.item img{
    width: 100px;
    height: auto;
    margin: 30px;
}
.container:hover .item {
    animation-play-state: paused;
}

/*------------------------
	PORTFOLIO MAIN
--------------------------*/

#portfolio-activa-bg {
    background-image: url(assets/img/bg-activa.png);
}

#portfolio-lemon-bg {
    background-image: url(assets/img/bg-lemon.png);
}

#portfolio-og-bg {
    background-image: url(assets/img/bg-og.png);
}

.portfolio-card-main {
    display: flex;
    flex-direction: column;
    filter: none !important;
    position: relative;
    border-radius: var(--border-radius-general);
    background: rgba(0, 0, 0, 0.68);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10.8px);
    -webkit-backdrop-filter: blur(10.8px);
    z-index: 100;
    max-width: 80%; 
}

.portfolio-card-main .portfolio-txt {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    padding: 50px 100px;
    padding-bottom: 0px;
}

.portfolio-card-main .portfolio-txt h2 {
    color: var(--white-color);
}

.portfolio-card-main .portfolio-txt  p {
    color: var(--white-color);
}

.portfolio-card-main .portfolio-txt h2 span {
    color: var(--secondary-color);
    text-transform: uppercase;
}

.portfolio-card-main .portfolio-img {
    padding-bottom: 30px;
    display: flex;  
    align-items: center;
    justify-content: center;
}

.portfolio-card-main .portfolio-img img {
    margin: 0px auto;
    height: auto;
    object-fit: cover;
    overflow: hidden;
    border-radius: inherit;
}

/* PORTFOLIO MAIN RESPONSIVE */

@media screen and (max-width: 1024px) {
    .portfolio-card-main {
        max-width: 100%; 
        border-radius: 0px;
    }
    
    .portfolio-card-main .portfolio-txt {
        padding: 50px 50px;
        padding-bottom: 20px;
    }

    .portfolio-card-main .portfolio-img {
        display: flex;
        align-items: center;
    }

    .portfolio-card-main .portfolio-img img {
        width: 100%;
    }
}


@media screen and (max-width: 620px) {

    .portfolio {
        padding: 0px;
    }

    .portfolio-card {
        max-width: 100%;
        border-radius: 0px;
        height: 100%;
    }


    .portfolio-card .portfolio-img {
        padding: 40px 50px;
        width: 100%;
        margin-bottom: 30px;
    }

    .portfolio-card-reverse .portfolio-txt{
        order: 1;
    }

    .portfolio-card-reverse .portfolio-img{
        order: 2;
        margin-top: 0px;
        padding-top: 0px;
    }
}

@media screen and (max-width: 375px) {
    .portfolio-card .portfolio-img {
        padding: 20px;
    }
}

@media screen and (max-width: 336px) {
    .btn-glow {
        padding: 5px 26px;
    }

    .btn-services-at {
        margin-right: 40px;
    }
}


/*------------------------
	PORTFOLIO SECTION
--------------------------*/

.portfolio {
    width: auto;
    background-position: center;
    background-size: cover;
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 100px;
}

.portfolio-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-position: center;
    background-size: cover;
    background-attachment: fixed;
    filter: blur(2px);
    z-index: 1;
}


#portfolio-defymotion-bg {
    background-image: url(assets/img/bg-defymotion.png);
}

#portfolio-flyers-bg {
    background-image: url(assets/img/bg-flyers-prueba.png);
}

#portfolio-astecna-bg {
    background-image: url(assets/img/bg-astecna-prueba.png);
}

#portfolio-redes-bg {
    background-image: url(assets/img/bg-redes-prueba.png);
}

#portfolio-zurriola-bg {
    background-image: url(assets/img/bg-zurriola-prueba.png);
}

.portfolio-card {
    display: flex;
    flex-direction: row;
    filter: none !important;
    position: relative;
    border-radius: var(--border-radius-general);
    /* background-color: var(--white-color); */
    background: rgba(0, 0, 0, 0.38);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10.8px);
    -webkit-backdrop-filter: blur(10.8px);
    z-index: 100;
    max-width: 90%; /* Reducir el ancho máximo de la card */
}

.portfolio-card .portfolio-txt h2 {
    color: var(--white-color);
}

.portfolio-card .portfolio-txt  p {
    color: var(--white-color);
}

.portfolio-card .portfolio-txt p:nth-last-child(2) {
    margin-top: 30px;
}

.portfolio-card .portfolio-txt,
.portfolio-card .portfolio-img {
    display: flex;
    align-items: center;
    width: 50%; /* Asegura que cada contenido ocupa el 50% de la card */
}

.portfolio-card .portfolio-txt {
    width: 50%;
    display: flex;
    justify-content: center;
    align-items: baseline;
    flex-direction: column;
    padding: 20px 0px;
    padding-left: 80px;
}

.portfolio-card .portfolio-img {
    padding: 30px 0px;
}

.portfolio-card .portfolio-img img {
    width: 90%;
    margin-left: 20px;
    height: auto;
    object-fit: cover;
    overflow: hidden;
    border-radius: inherit;
}

/* portfolio-card-reverse */

.portfolio-card-reverse {
    text-align: left;
}

.portfolio-card-reverse .portfolio-txt {
    justify-content: center;
    align-items: flex-start;
    text-align: right;
    padding-right: 80px;
    padding-left: 0px;
}

.portfolio-card-reverse .portfolio-txt h2,
.portfolio-card-reverse .portfolio-txt p {
    text-align: right;
    margin-left: auto;
}

.portfolio-card-reverse .portfolio-txt .container_circle {
    margin-left: auto;
    text-align: right;
}

/* Gallery section */

.gallery {
    margin: 0 auto;
    max-width: 100%; /* Limita el ancho total de la galería */
}

.grid-sizer, .gallery img {
    width: 25%; /* 25% asegura que haya un máximo de 4 columnas en la galería */
}

.gallery img {
    display: block;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    object-fit: cover;
}

.gallery-identidad {
    margin: 0 auto;
    max-width: 100%; 
}

.grid-sizer-identidad, .gallery-identidad img {
    width: 33%; 
}

.gallery-identidad img {
    display: block;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    object-fit: cover;
}

@media screen and (max-width: 1000px) {
    .grid-sizer-identidad, .gallery-identidad img {
        width: 50%; 
    }
}

@media screen and (max-width: 630px) {
    .grid-sizer, .gallery img {
        width: 33%
    }
}

@media screen and (max-width: 500px) {
    .grid-sizer-identidad, .gallery-identidad img {
        width: 100%; 
    }
}


@media screen and (max-width: 450px) {
    .grid-sizer, .gallery img {
        width: 50%
    }
}


/* PORTFOLIO RESPONSIVE */

@media screen and (max-width: 1024px) {
    .portfolio-card .portfolio-txt {
        padding: 50px 0px;
        padding-left: 50px;
    }

    .portfolio-card-reverse .portfolio-txt{
        padding-left: 0px;
        padding-right: 50px;
    }

    .portfolio-card .portfolio-img {
        display: flex;
        align-items: center;
    }

    .portfolio-card .portfolio-img img {
        width: 100%;
        scale: 1.2;
    }

    .portfolio-card-reverse .portfolio-img img{
        scale: 1;
    }
}

@media screen and (max-width: 870px) {
    .portfolio-card {
        align-items: center;
        flex-direction: column;
        max-width: none;
        width: 115%;
    }

    .portfolio-card .portfolio-txt {
        align-items: center;
        text-align: center;
        width: 100%;
        padding: 40px 50px;
        padding-bottom: 0px;
    }

    .portfolio-card .portfolio-img {
        padding: 30px 20px;
        width: 100%;
        margin-bottom: 30px;
    }
    

    .portfolio-card-reverse .portfolio-txt {
        padding-bottom: 40px;
        order: 1;
    }

    .portfolio-card-reverse .portfolio-img {
        order: 2;
    }

    .portfolio-card-reverse .portfolio-img-flyers{
        width: 80%;
    }

    .portfolio-card-reverse .portfolio-txt p {
        margin: 0px;
    }

    .portfolio-card .portfolio-txt h2 {
        text-align: center;
        margin: 0px;
    }

    .portfolio-card .portfolio-txt p:nth-last-child(2) {
        text-align: center;
    }

    .portfolio-card .portfolio-txt .container_circle {
        margin: 0px;
    }

    .portfolio-card .portfolio-img img {
        scale: 1.2;
    }

}

@media screen and (max-width: 620px) {

    .portfolio {
        padding: 0px;
    }

    .portfolio-card {
        max-width: 100%;
        border-radius: 0px;
        height: 100%;
    }


    .portfolio-card .portfolio-img {
        padding: 40px 50px;
        width: 100%;
        margin-bottom: 30px;
    }

    .portfolio-card-reverse .portfolio-txt{
        order: 1;
    }

    .portfolio-card-reverse .portfolio-img{
        order: 2;
        margin-top: 0px;
        padding-top: 0px;
    }
}

@media screen and (max-width: 375px) {
    .portfolio-card .portfolio-img {
        padding: 20px;
    }
}

@media screen and (max-width: 336px) {
    .btn-glow {
        padding: 5px 26px;
    }

    .btn-services-at {
        margin-right: 40px;
    }
}


/*------------------------
	ABOUT US SECTION
--------------------------*/

#about {
    height: auto;
    display: flex;
    justify-content: center;
    align-items: baseline;
    flex-direction: column;
    gap: 8px;
}

#about div p {
    color: var(--grey-color);
    margin-bottom: 50px;
    margin-left: 50px;
}

#about #about-txt {
    display: flex;
    justify-content: center;
    align-items: baseline;
    flex-direction: column;
    width: 80%;
    margin: 100px auto;
}

#about #about-txt h5 {
    font-family: var(--primary-font);
    font-weight: medium;
    font-size: 5.8rem;
    color:var(--white-color);
}

#about #about-txt h6 {
    font-family: "reflex-pro-variable",sans-serif;
    font-weight: 700;
    font-style: italic;
    font-size: 4.5rem;
    color:var(--primary-color);
    line-height: 90px;
    letter-spacing: 2px;
}

#about #about-txt h4 {
    font-family: "span", serif;
    font-style: italic;
    font-weight: var(--font-weight-thin);
    font-size: 5rem;
    color:var(--secondary-color);
}

@media screen and (max-width: 976px) {
    #about #about-txt {
        display: flex;
        align-items: center;
        flex-direction: column;
        text-align: left;
    }

    #about #about-txt p {
        margin: 0px;
        margin-bottom: 40px;
    }

    #about #about-txt h5 {
        font-size: 4.2rem;
    }

    #about #about-txt h6 {
        font-size: 3.1rem;
    }

    #about #about-txt h4 {
        font-size: 3.5rem;
    }
}

@media screen and (max-width: 715px) {
    #about #about-txt h5 {
        font-size: 3.2rem;
    }

    #about #about-txt h6 {
        font-size: 2.4rem;
        line-height: 65px;
    }

    #about #about-txt h4 {
        font-size: 3rem;
    }
}

@media screen and (max-width: 560px) {
    #about #about-txt h5 {
        font-size: 1.8rem;
        line-height: 40px;
    }

    #about #about-txt h6 {
        font-size: 1.4rem;
        line-height: 40px;
    }

    #about #about-txt h4 {
        font-size: 1.8rem;
        
    }
}

@media screen and (max-width: 340px) {
    #about #about-txt h5 {
        font-size: 1.6rem;
    }

    #about #about-txt h6 {
        font-size: 1.3rem;
        line-height: 25px;
    }

    #about #about-txt h4 {
        font-size: 1.6rem;
        line-height: 25px;
    }
}

/*------------------------
	TEXT SLIDER SECTION
--------------------------*/

@keyframes animate {
    0% {
    transform: translateX(0);
    }
    100% {
    transform: translateX(calc(-200px * 6));
    }
}

.text-slider-section {
    height: 20vh;
    margin: 100px 0px;
}

.marquee-w {
    position: relative;
    display: block;
    width: 100%;
    height: 140px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
}
.marquee {
    position: absolute;
    display: block;
    margin: auto auto;
    white-space: nowrap;
    overflow: hidden;
    min-width: 100%;
    height: 100%;
}
.marquee span {
    display: inline-block;
    padding-left: 100%;
    font-family: var(--primary-font);
    color: var(--white-color);
    font-weight: var(--font-weight-bold);
    text-transform: uppercase;
    text-align: center;
    white-space: nowrap;
    min-width: 100%;
    height: 100%;
    line-height: 140px;
    font-size: 85px;
    animation: marquee 10s linear infinite;
}

.marquee2 span {
    animation-delay: 4.9s;
}

@keyframes marquee {
    0% {
        transform: translate(0, 0);
    }
    100% {
        transform: translate(-100%, 0);
    }
}

/*------------------------
	SERVICES SECTION
--------------------------*/

.cont-services {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    color: var(--white-color);
    background-color: var(--bg-color);
    height: auto;
    transition: all 0.3s ease-in-out;
    padding: 50px 80px;
    gap: 50px;
}

/* .cont-services:hover {
    background-color: var(--primary-color);
} */

.cont-info-services {
    width: 50%;
    align-items: baseline;
    text-align: left;
}

.cont-info-services p:nth-child(1) {
    color: var(--grey-color);
    padding: 0px;
    margin-bottom: 3px;
    transition: all 0.3s ease-in-out;
}

/* .cont-services:hover .cont-info-services p:nth-child(1) {
    color: var(--white-color);
} */

.cont-txt-services {
    padding-top: 10px;
}

.cont-txt-services p {
    padding: 30px 0px;
}

.btns-services a {
    display: inline-block;
    margin-right: 10px;
    background-color: var(--primary-color);
    border-radius: 180px;
    border: 2px solid var(--primary-color);
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    color: var(--white-color) !important;
    font-size: 25px;
    animation: pulsered 1.5s infinite alternate ease-in-out;
}

.btns-services a .ri-whatsapp-line {
    padding: 10px 12px !important;
    display: inline-block;
}

.btns-services a:hover {
    transform: scale(1.1) !important;
}

/* .cont-services:hover .btns-services a {
    background-color: transparent;
    border: 2px solid var(--white-color);
} */

.cont-services:hover .btns-services a:hover {
    transform: scale(1.1) !important;
}

.wpp-services {
    color: var(--white-color);
}

.cont-img-services {
    display: flex;
    width: 50%;
    justify-content: center;
    align-items: center;
}

.cont-img-services img {
    width: auto;
    height: 400px;
}

/* RESPONSIVE SERVICES */


@media screen and (max-width: 1500px) {
    .cont-info-services {
        width: 40%;
    }

    .inverted .cont-info-services {
        padding-left: 50px;
        padding-right: 50px !important;
    }

    .cont-img-services {
        width: 60%;
    }
}

@media screen and (max-width: 1370px) {
    .cont-services {
        padding: 50px 80px;
    }

    .cont-info-services {
        width: 40%;
    }

    .cont-img-services {
        width: 60%;
    }

    .cont-img-services img {
        width: auto;
        height: 350px;
    }
}

@media screen and (max-width: 1154px) {
    .cont-services {
        padding: 50px 0px;
        gap: 10px;
    }

    .cont-info-services {
        width: 40%;
        padding-left: 50px;
    }

    .inverted .cont-info-services {
        padding-left: 0px;
        padding-right: 50px !important;
    }

    .cont-img-services {
        width: 60%;
    }

    .cont-img-services img {
        width: auto;
        height: 300px;
    }
}

@media screen and (max-width: 960px) {
    .cont-services {
        flex-direction: column;
        padding: 20px 10px;
    }

    .cont-info-services {
        width: 80%;
        align-items: baseline;
        text-align: left;
        padding: 0px;
    }

    .cont-img-services {
        width: 80%;
    }
    
    .cont-img-services img {
        width: auto;
        height: 400px;
    }

}

@media screen and (max-width: 850px) {
    .cont-img-services img {
        width: auto;
        height: 325px;
    }

}

@media screen and (max-width: 630px) {
    .cont-img-services img {
        width: auto;
        height: 300px;
    }

}

@media screen and (max-width: 530px) {
    .cont-img-services img {
        width: auto;
        height: 250px;
    }

}

@media screen and (max-width: 450px) {
    .cont-img-services img {
        width: auto;
        height: 200px;
    }

}

@media screen and (max-width: 360px) {
    .cont-img-services img {
        width: auto;
        height: 150px;
    }

}

/*------------------------
	BRIEF SECTION
--------------------------*/

#brief {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
    color: var(--white-color);
    margin: 100px 50px;
    gap: 50px;
}

.brief-img {
    width: 40%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper {
    width: 100%;
    height: 100%;
    border-radius: 20px;
}

.swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
}

.swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.brief-content {
    width: 50%;
}

.brief-content h2 {
    margin-bottom: 20px;
}

.brief-content .highlight {
    color: var(--primary-color);
}

.brief-txt {
    display: flex;
    justify-content: center;
    align-items: baseline;
    flex-direction: column;
    width: 80%;
    padding: 20px 40px;
    border-radius: var(--border-radius-general);
    transition: all 0.3s ease-in-out;
}

.brief-txt-p p {
    margin-top: 10px;
}

/* .brief-txt:hover {
    background-color: var(--primary-color);
}

.brief-txt:hover .brief-txt-p p {
    color: var(--white-color);
    transition: all 0.3s ease-in-out;
}

.brief-txt:hover .brief-txt-header i {
    color: var(--white-color);
} */

.brief-txt-header {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: row;
}

.brief-txt-header i {
    margin-right: 10px;
    font-size: 2rem;
    color: var(--primary-color);
    transition: all 0.3s ease-in-out;
    animation: pulsebig 1.5s infinite alternate ease-in-out;
}

.brief-txt-header p {
    margin-top: 5px;
    font-weight: var(--font-weight-bold) !important;
}

.brief-txt-p p {
    color: var(--grey-color);
}

#desktop-brief-slider {
    display: block;
}

#mobile-brief-slider {
    display: none;
}

@media screen and (max-width: 1200px) {
    #brief {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    #desktop-brief-slider {
        display: none;
    }
    
    #mobile-brief-slider {
        display: block;
        display: flex;
        flex-direction: row;
        gap: 25px;
        width: 80%;
    }

    .brief-content h2 {
        text-align: baseline;
        margin-left: 40px;
    }

    .brief-content {
        width: 100%;
    }

    .brief-txt {
        width: 100%;
    }

    .brief-txt-p p {
        width: 100%;
        display: inline-block;
        text-align: left;
    }
}

@media screen and (max-width: 675px) {
    #brief {
        margin: 50px 10px;
    }

    #mobile-brief-slider {
        width: 80%;
    }
}

@media screen and (max-width: 570px) {
    #mobile-brief-slider {
        flex-direction: column;
    }
}



/*------------------------
	CTA FINAL SECTION
--------------------------*/

#cta-final {
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--white-color);
    margin-bottom: 100px;
}

#cta-final #content-cta-final {
    display: flex;
    justify-content: center;
    align-items: baseline;
    flex-direction: column;
    margin: 0px auto;
    width: 60%;
}

#cta-final h2 {
    margin-bottom: 40px;
}

#cta-final .highlight {
    color: var(--primary-color);
}


#cta-final #subtitle-final {
    font-weight: var(--font-weight-bold);
}

#cta-final #txt-final {
    color: var(--grey-color);
}

#cta-final .container_circle {
    margin-top: 20px;
}

#cta-final .container_circle p {
    margin-top: 4px;
}

@media screen and (max-width: 630px) {
    #cta-final #content-cta-final {
        display: flex;
        justify-content: center;
        align-items: baseline;
        flex-direction: column;
        margin: 0px 0px;
        padding: 0px 40px;
        width: 100%;
    }

    #cta-final #txt-final {
        
    }

    #cta-final #content-cta-final .btn p {
        white-space: nowrap; 
        overflow: hidden; 
    }
}

/*------------------------
	FOOTER SECTION
--------------------------*/


footer {
    color: var(--white-color);
    font-family: var(--primary-font);
    margin-top: 100px;
}

.footer-container {
    border-top: 3px solid #ed2d56;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    width: 80%;
    margin: 0 auto;
    margin-top: 100px;
}

.footer-column {
    display: flex;
    justify-content: flex-start;
    align-items: baseline;
    flex-direction: column;
    flex: 1;
    min-width: 250px;
    margin: 50px auto;
    padding: 0px 50px;
}

.footer-column p {
    margin-bottom: 20px;
    font-weight: var(--font-weight-bold);
    transition: all 0.3s ease-in-out;
}

.footer-column p:hover {
    scale: 1.1;
}

.footer-column a {
    cursor: pointer;
    text-decoration: none;
    margin-bottom: 20px;
    font-size: 1rem;
    color: var(--grey-color);
    font-weight: var(--font-weight-thin);
}

.footer-column ul {
    list-style: none;
    padding: 0;
}

.footer-column ul li {
    margin-bottom: 20px;
    font-size: 1rem;
    color: var(--grey-color);
    font-weight: var(--font-weight-thin);
    transition: all 0.3s ease-in-out; 
}

.footer-column ul li:hover {
    scale: 1.1;
}

.footer-column ul li i {
    width: 20px;
    height: 20px;
    margin-right: 10px;
    vertical-align: middle;
    display: inline;
}

.underline-footer {
    position: relative;
    text-decoration: none; /* Elimina cualquier subrayado por defecto */
    color: var(--white-color); /* Ajusta el color del texto según tus necesidades */
}

.underline-footer::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px; /* Ajusta el grosor del subrayado */
    bottom: -5px; /* Ajusta la posición vertical del subrayado */
    left: 0;
    background-color: var(--primary-color); /* Ajusta el color del subrayado */
    transition: all 0.3s ease-in-out; /* Añade la animación */
}

/* Estado hover para animar la línea de subrayado */
.underline-footer:hover::after {
    width: 100%; /* Hace que el subrayado cubra todo el ancho del texto */
}

@media (max-width: 990px) {
    .footer-container {
        display: flex;
        justify-content: center;
        align-items: center;
        flex-wrap: nowrap;
        flex-direction: column;
    }

    .footer-column {
        padding: 0px;
        align-items: center;
        text-align: center;
    } 
}

@media (max-width: 425px) {
    .footer-container {
        width: auto;
        padding: 0px;
    }
}


/*------------------------
	PÁGINAS INTERNAS
--------------------------*/

/*------------------------
	SERVICES SECTION
--------------------------*/

.intern-services {
    display: flex;
    justify-content: center;
    align-items: baseline;
    flex-direction: column;
    color: var(--white-color);
    margin: 150px auto;
    width: 80%;
}

.intern-services h2 {
    margin-bottom: 40px;
}

.intern-services .highlight {
    color: var(--primary-color);
}

.intern-services .intern-heading-services p:nth-child(1) {
    font-weight: var(--font-weight-bold);
    margin-bottom: 10px;
}

.intern-services .intern-heading-services p:nth-child(2) {
    color: var(--grey-color);
    width: 80%;
    text-align: justify;
}

.intern-content-services {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    margin: 0px auto;
    margin-top: 40px;
    position: relative;
    justify-content: center; /* Asegura que el grid esté centrado horizontalmente */
    align-items: center; /* Centra los elementos verticalmente dentro del grid */
    min-height: calc(100vh - 300px); /* Ajusta la altura mínima para centrar verticalmente */
}

.card-services {
    background-color: transparent;
    padding: 30px;
    border-radius: var(--border-radius-general);
    text-align: left;
    transition: all 0.3s ease-in-out; 
}

.card-services:hover {
    background-color: var(--primary-color);
}

.title-card-service {
    display: flex;
    align-items: center;
}

.title-card-service p {
    color: var(--white-color) !important;
    font-size: var(--font-size-p);
    font-weight: var(--font-weight-bold);
    margin-left: 10px;
    margin-bottom: 5px;
    transition: all 0.3s ease-in-out; 
}

.card-services i {
    font-size: 30px;
    color: var(--primary-color);
    margin-bottom: 10px;
    transition: all 0.3s ease-in-out;
}

.card-services:hover i {
    color: var(--white-color) !important;
}

.card-services:hover .title-card-service p {
    color: var(--white-color);
}

.card-services:hover p:nth-child(2) {
    color: var(--white-color);
}

.card-services p:nth-child(2) {
    color: var(--grey-color);
    transition: all 0.3s ease-in-out;
}

.intern-services .container_circle {
    grid-column: 1 / -1;
    display: flex;
    justify-content: center;
    margin-top: 40px;
}



@media screen and (max-width: 950px) {
    .intern-services {
        align-items: center;
        text-align: center;
        width: 80%;
    }

    
    .intern-services .intern-heading-services p:nth-child(2) {
        width: 100%;
        text-align: center;
    }
}



@media screen and (max-width: 630px) {
    .card-services {
        display: flex;
        align-items: center;
        justify-content: center;
        flex-direction: column;
        text-align: center;
        padding: 10px;
    }

    .title-card-service {
        flex-direction: column;
    }
}

@media screen and (max-width: 390px) {
    .card-services {
        margin-right: 40px;
    }
}









